[Deprecated]: V4.0
get
/ec-designer-svc/rest/v4.0/studies/{studyId}/versions/{version}/kits/{kitId}
Deprecated: Use latest version instead. Retrieves one kit definition from the specified study version. The kitId path parameter identifies the kit, and the response includes kit settings, unit settings, dosing details, titration settings, advanced dosing groups, and validation details when present.
Request
Path Parameters
-
kitId(required): string
Kit ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
7A4D3C2B1E8F4D56A23C9F3A0C7D4E22 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
kitType: string
Kit type filter. Optional. Accepted values include STANDARD, TITRATION, ALL, and DEVICE.Example:
STANDARD
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : KitDto v4.0
Type:
objectTitle:
KitDto v4.0Kit details.
Show Source
-
dosage: number
(double)
Dosage.Example:
50 -
dosings: array
dosings
-
id: string
(uuid)
-
isDefault: boolean
Is kit default.Example:
true -
kitid: string
(uuid)
Kit GUID
-
kitSettings: object
KitSettingsDto v4.0
Title:
KitSettingsDto v4.0Contains settings information on the kit. -
kitTitrations: array
kitTitrations
-
kitUnitSettings: object
KitUnitSettingsDto v4.0
Title:
KitUnitSettingsDto v4.0Contains unit settings information on the kit. -
studyId: string
(uuid)
Study GUID
-
studyVersionEnd: string
(date-time)
Study version end
-
studyVersionStart: string
(date-time)
Study version start
-
versionEnd: string
(date-time)
Version End
-
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Nested Schema : dosings
Type:
Show Source
array-
Array of:
object KitDosingDto v4.0
Title:
KitDosingDto v4.0Information on a calculated dose.
Nested Schema : KitSettingsDto v4.0
Type:
objectTitle:
KitSettingsDto v4.0Contains settings information on the kit.
Show Source
-
bufferdays: integer
(int64)
The number of buffer daysExample:
5 -
calculatingDoses: boolean
Indicates if the kit has calculating dosesExample:
true -
deviceConn: string
Indicates device connection in case of device kitExample:
Cloud to Cloud -
deviceType: string
Indicates type of device in case of device kitExample:
Blood pressure monitor -
dispenseOnHighestDose: boolean
Indicates if dispensation should happen on up titrate when already on highest doseExample:
true -
dispenseOnHighestDoseMsg: string
Message to user on up titrate when subject is on highest doseExample:
Message when subject is on highest dose -
dispenseOnLowestDose: boolean
Indicates if dispensation should happen on down titrate when already on lowest doseExample:
true -
dispenseOnLowestDoseMsg: string
Message to user on down titrate when subject is on lowest doseExample:
Message when subject is on lowest dose -
dispenseOutsideWindow: boolean
Indicates if the kit may be dispensed outside the windowExample:
false -
distributionSetting: string
Indicates if the kit blinded or unblindedExample:
BLINDED -
doseChangeUnschVisit: boolean
Indicates if dosage change is allowed in an unscheduled visit for the titration kitExample:
false -
dosingFrequency: boolean
Indicates if the titration kit has dosing frequencies definedExample:
true -
downTitrateDose: integer
(int64)
The maximum number of down titrate dosage change allowed for the titration kitExample:
2 -
downTitrateDoseUnscheduled: integer
(int64)
The maximum number of down titrate dosage change allowed for the titration kit for unscheduled visitsExample:
2 -
kitDescription: string
The kit descriptionExample:
ORS-123(IP 0.01%) -
kitTypeId: string
The kit type idExample:
Type -
maxDoseChanges: integer
(int64)
The maximum number of dosage changes allowed for the titration kitExample:
3 -
minShipUnits: integer
(int64)
The minimum kit to shipExample:
10 -
storageSetting: string
The storage temperatureExample:
AMBIENT -
timeBetweenDownDoseChanges: integer
(int64)
Time between down dosage changesExample:
20 -
timeBetweenDownDoseChangesUnit: string
Unit for time between down dosage changesExample:
DAYS -
timeBetweenUpDoseChanges: integer
(int64)
Time between up dosage changesExample:
20 -
timeBetweenUpDoseChangesUnit: string
Unit for time between up dosage changesExample:
DAYS -
titratingDoses: boolean
Indicates if the kit has titrating dosesExample:
true -
titrationKit: boolean
Indicates if the kit is a titration kitExample:
true -
totalDoseUnscheduled: integer
(int64)
The maximum number of dosage changes allowed for the titration kit for unscheduled visitsExample:
3 -
trialSupplyType: string
The kit typeExample:
BOTTLE -
upTitrateDose: integer
(int64)
The maximum number of up titrate dosage change allowed for the titration kitExample:
1 -
upTitrateDoseUnscheduled: integer
(int64)
The maximum number of up titrate dosage change allowed for the titration kit for unscheduled visitsExample:
1
Nested Schema : kitTitrations
Type:
Show Source
array-
Array of:
object KitTitrationsDto v4.0
Title:
KitTitrationsDto v4.0Contains titrations information on the titration kit.
Nested Schema : KitUnitSettingsDto v4.0
Type:
objectTitle:
KitUnitSettingsDto v4.0Contains unit settings information on the kit.
Show Source
-
singleUnitDose: object
KitDosingValueUnitsDto v4.0
Title:
KitDosingValueUnitsDto v4.0Describes the value/unit pair of the measurement on the calculated dose. -
unitsPerKit: number
(double)
The number of units per kitExample:
20
Nested Schema : KitDosingDto v4.0
Type:
objectTitle:
KitDosingDto v4.0Information on a calculated dose.
Show Source
-
dose: object
KitDosingDoseDto v4.0
Title:
KitDosingDoseDto v4.0Dose information on the calculated dose. -
id: string
(uuid)
Dosing GUID
-
measurement: object
KitDosingMeasurementDto v4.0
Title:
KitDosingMeasurementDto v4.0Kit and subject measurement information on a calculated dose. -
name: string
Dosing display nameExample:
Name -
question: object
KitDosingQuestionDto v4.0
Title:
KitDosingQuestionDto v4.0Form and question information on the calculated dose. -
visit: object
KitDosingVisitDto v4.0
Title:
KitDosingVisitDto v4.0Visit information on the calculated dose.
Nested Schema : KitDosingDoseDto v4.0
Type:
objectTitle:
KitDosingDoseDto v4.0Dose information on the calculated dose.
Show Source
-
frequency: string
Dosing frequencyExample:
Before bedtime -
leftOverUnits: boolean
Use leftover units in next doseExample:
true -
precision: integer
(int32)
Precision for each doseExample:
1 -
roundUp: integer
(int32)
Rounded up for dosing calculationExample:
1
Nested Schema : KitDosingMeasurementDto v4.0
Type:
objectTitle:
KitDosingMeasurementDto v4.0Kit and subject measurement information on a calculated dose.
Show Source
-
kit: object
KitDosingValueUnitsDto v4.0
Title:
KitDosingValueUnitsDto v4.0Describes the value/unit pair of the measurement on the calculated dose. -
subject: object
KitDosingValueUnitsDto v4.0
Title:
KitDosingValueUnitsDto v4.0Describes the value/unit pair of the measurement on the calculated dose.
Nested Schema : KitDosingQuestionDto v4.0
Type:
objectTitle:
KitDosingQuestionDto v4.0Form and question information on the calculated dose.
Show Source
-
formId: string
(uuid)
The form Id
-
itemId: string
(uuid)
The question Id
Nested Schema : KitDosingVisitDto v4.0
Type:
objectTitle:
KitDosingVisitDto v4.0Visit information on the calculated dose.
Show Source
-
id: string
(uuid)
The visit Id
-
type: string
The type of visit, eg. screening, scheduled, or currentExample:
screening
Nested Schema : KitDosingValueUnitsDto v4.0
Type:
objectTitle:
KitDosingValueUnitsDto v4.0Describes the value/unit pair of the measurement on the calculated dose.
Show Source
-
units: string
The unit of a measurementExample:
mg -
value: number
(double)
The value of a measurementExample:
50
Nested Schema : KitTitrationsDto v4.0
Type:
objectTitle:
KitTitrationsDto v4.0Contains titrations information on the titration kit.
Show Source
-
downTitrationKitJson: object
TitrationKitItemsDto v4.0
Title:
TitrationKitItemsDto v4.0Titration Kit Items -
rowId: string
(uuid)
Id of the titration row
-
titrationKitId: string
(uuid)
Id of the current titration kit
-
titrationKitJson: object
TitrationKitItemsDto v4.0
Title:
TitrationKitItemsDto v4.0Titration Kit Items -
titrationKitSeq: integer
(int64)
Sequence number of the current titration row within the kitExample:
5 -
upTitrationKitJson: object
TitrationKitItemsDto v4.0
Title:
TitrationKitItemsDto v4.0Titration Kit Items
Nested Schema : TitrationKitItemsDto v4.0
Type:
objectTitle:
TitrationKitItemsDto v4.0Titration Kit Items
Show Source
Nested Schema : titrationKitItems
Type:
Show Source
array-
Array of:
object TitrationKitItemDto v4.0
Title:
TitrationKitItemDto v4.0Titration Kit Item
Nested Schema : TitrationKitItemDto v4.0
Type:
objectTitle:
TitrationKitItemDto v4.0Titration Kit Item
Show Source
-
kitDosage: string
Kit DosageExample:
QD -
kitid: string
(uuid)
Kit GUID
-
kitSeq: integer
(int64)
Kit SequenceExample:
1
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}